(function () {
    function dropzone_init() {
        var squirros = {};

        Qv.AddExtension('Squirro/SquirroDropzone', function () {
            var name = this.Name;
            try {
                if (squirros[name]) {
                    squirros[name].render(this);
                } else {
                    squirros[name] = new SquirroDropzone_Widget(this);
                }
            } catch (e) {
                if (console) {
                    console.log(e);
                }
            }
        });
    }

    var libs = [
        'Extensions/Squirro/SquirroDropzone/underscore-min.js',
        'Extensions/Squirro/SquirroDropzone/filereader.min.js',
        'Extensions/Squirro/SquirroDropzone/nprogress.js',
        'Extensions/Squirro/SquirroDropzone/dropzone.js'
    ];
    Qva.LoadCSS(Qva.Remote + (Qva.Remote.indexOf('?') >= 0 ? '&' : '?') + 'public=only&name=Extensions/Squirro/SquirroDropzone/dropzone.css');
    Qv.LoadExtensionScripts(libs, dropzone_init);
})();
